%define name mindcraft
%define version 12.2
%define release %mkrel 1

Summary: MineCraft - Java Arcade Game
Name: %{name}
Version: %{version}
Release: %{release}
License: Creative Commons
Group: Games/Arcade
URL: http://java-apps.org/content/show.php/MineCraft?content=158039
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0: http://java-apps.org/content/show.php/MineCraft?content=158039/%{name}-%{version}.tar.xz
Source1: %{name}.png
Requires: java >= 1.6
BuildArch: noarch
Obsoletes: %{name} < %{version}


%description
Minecraft allow players to build constructions out of
textured cubes in a 3D procedurally generated world. Other
activities in the game include exploration, gathering
resources, crafting and combat.

%prep
%setup -n %{name}-%{version}
cp %SOURCE1 .

%install
rm -rf %{buildroot}

#data
%{__install} -dm 755 \
%{buildroot}%{_datadir}/games/%{name}
cp -af *.jar \
%{buildroot}%{_datadir}/games/%{name}


#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/games/%{name}
java -jar *.jar
cd /
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

chmod 777 %{buildroot}%{_datadir}/games/%{name}
chmod 777 %{buildroot}%{_datadir}/games/%{name}/*.jar

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=MineCraft
Comment=Java Arcade Game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=ArcadeGame;Arcade;X-MandrivaLinux-Games-Arcade;
EOF


#icons
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png
mkdir -p %buildroot/{%_miconsdir,%_iconsdir}
convert  %{name}.png -resize 16x16 \
%buildroot/%{_miconsdir}/%{name}.png
convert %{name}.png -resize 32x32 \
%buildroot/%{_iconsdir}/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/mini/%{name}.png
%{_datadir}/icons/%{name}.png

%changelog
* Tue Apr 23 2013 Ken <lxgator at gmail.com> 12.2-1pclos2013
- Initial pkg
